rounding.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Float
| Floating point numbers.

## Macros

#define | GECODE_ROUND_OP(name)
#define | GECODE_ROUND_FUN(name)

## Macro Definition Documentation

## GECODE_ROUND_OP

#define GECODE_ROUND_OP | ( |  | name | ) |

Value:
forceinline FloatNum \
Rounding::name##_down(FloatNum x, FloatNum y) { \
return RoundingBase::name##_down(x,y); \
} \
forceinline FloatNum \
Rounding::name##_up(FloatNum x, FloatNum y) { \
return RoundingBase::name##_up(x,y); \
}
forceinline
#define forceinline
Definition config.hpp:187

Definition at line 48 of file rounding.hpp.

## GECODE_ROUND_FUN

#define GECODE_ROUND_FUN | ( |  | name | ) |

Value:
forceinline FloatNum \
Rounding::name##_down(FloatNum x) { \
return RoundingBase::name##_down(x); \
} \
forceinline FloatNum \
Rounding::name##_up(FloatNum x) { \
return RoundingBase::name##_up(x); \
}

Definition at line 65 of file rounding.hpp.